/*//////
//
// header for splitline.c package
//
*/

#ifndef _SPLITLINE_H_
#define _SPLITLINE_H_

#include	<stdio.h>
#include	"smsh.h"
#include	"varlib.h"
#define	BUFLEN	512

/*
// stuff we'll be using
 */
int splitline(char *cmdline, int *argcp, char *argv[], int max);
int substituteVars(char *oldStr, char *newStr);
int validVarName (char *varName);
int isValidVarChar (char c);
void printCharArray(char mArray[], int arraySize);

#endif /* _SPLITLINE_ */
